SDL_cocoawindow.h File Reference
`#include "../../SDL_internal.h"`
`#import <Cocoa/Cocoa.h>`
Include dependency graph for SDL_cocoawindow.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | Cocoa_WindowListener
struct | SDL_WindowData

## Enumerations

enum | PendingWindowOperation { PENDING_OPERATION_NONE, PENDING_OPERATION_ENTER_FULLSCREEN, PENDING_OPERATION_LEAVE_FULLSCREEN, PENDING_OPERATION_MINIMIZE }

## Functions

int | Cocoa_CreateWindow (_THIS, SDL_Window *window)
int | Cocoa_CreateWindowFrom (_THIS, SDL_Window *window, const void *data)
void | Cocoa_SetWindowTitle (_THIS, SDL_Window *window)
void | Cocoa_SetWindowIcon (_THIS, SDL_Window *window, SDL_Surface *icon)
void | Cocoa_SetWindowPosition (_THIS, SDL_Window *window)
void | Cocoa_SetWindowSize (_THIS, SDL_Window *window)
void | Cocoa_SetWindowMinimumSize (_THIS, SDL_Window *window)
void | Cocoa_SetWindowMaximumSize (_THIS, SDL_Window *window)
int | Cocoa_SetWindowOpacity (_THIS, SDL_Window *window, float opacity)
void | Cocoa_ShowWindow (_THIS, SDL_Window *window)
void | Cocoa_HideWindow (_THIS, SDL_Window *window)
void | Cocoa_RaiseWindow (_THIS, SDL_Window *window)
void | Cocoa_MaximizeWindow (_THIS, SDL_Window *window)
void | Cocoa_MinimizeWindow (_THIS, SDL_Window *window)
void | Cocoa_RestoreWindow (_THIS, SDL_Window *window)
void | Cocoa_SetWindowBordered (_THIS, SDL_Window *window, SDL_bool bordered)
void | Cocoa_SetWindowResizable (_THIS, SDL_Window *window, SDL_bool resizable)
void | Cocoa_SetWindowFullscreen (_THIS, SDL_Window *window, SDL_VideoDisplay *display, SDL_bool fullscreen)
int | Cocoa_SetWindowGammaRamp (_THIS, SDL_Window *window, const Uint16 *ramp)
int | Cocoa_GetWindowGammaRamp (_THIS, SDL_Window *window, Uint16 *ramp)
void | Cocoa_SetWindowGrab (_THIS, SDL_Window *window, SDL_bool grabbed)
void | Cocoa_DestroyWindow (_THIS, SDL_Window *window)
SDL_bool | Cocoa_GetWindowWMInfo (_THIS, SDL_Window *window, struct SDL_SysWMinfo *info)
int | Cocoa_SetWindowHitTest (SDL_Window *window, SDL_bool enabled)

## Enumeration Type Documentation

## PendingWindowOperation

enum PendingWindowOperation

Enumerator
PENDING_OPERATION_NONE |
PENDING_OPERATION_ENTER_FULLSCREEN |
PENDING_OPERATION_LEAVE_FULLSCREEN |
PENDING_OPERATION_MINIMIZE |

Definition at line 34 of file SDL_cocoawindow.h.

{
PENDING_OPERATION_NONE,
PENDING_OPERATION_ENTER_FULLSCREEN,
PENDING_OPERATION_LEAVE_FULLSCREEN,
PENDING_OPERATION_MINIMIZE
} PendingWindowOperation;
PENDING_OPERATION_ENTER_FULLSCREEN
Definition: SDL_cocoawindow.h:37
PENDING_OPERATION_NONE
Definition: SDL_cocoawindow.h:36
PENDING_OPERATION_LEAVE_FULLSCREEN
Definition: SDL_cocoawindow.h:38
PENDING_OPERATION_MINIMIZE
Definition: SDL_cocoawindow.h:39
PendingWindowOperation
PendingWindowOperation
Definition: SDL_cocoawindow.h:34

## Function Documentation

## Cocoa_CreateWindow()

int Cocoa_CreateWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## Cocoa_CreateWindowFrom()

int Cocoa_CreateWindowFrom | ( | _THIS | ,
|  | SDL_Window * | window,
|  | const void * | data
| ) |  |

## Cocoa_DestroyWindow()

void Cocoa_DestroyWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## Cocoa_GetWindowGammaRamp()

int Cocoa_GetWindowGammaRamp | ( | _THIS | ,
|  | SDL_Window * | window,
|  | Uint16 * | ramp
| ) |  |

## Cocoa_GetWindowWMInfo()

SDL_bool Cocoa_GetWindowWMInfo | ( | _THIS | ,
|  | SDL_Window * | window,
|  | struct SDL_SysWMinfo * | info
| ) |  |

## Cocoa_HideWindow()

void Cocoa_HideWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## Cocoa_MaximizeWindow()

void Cocoa_MaximizeWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## Cocoa_MinimizeWindow()

void Cocoa_MinimizeWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## Cocoa_RaiseWindow()

void Cocoa_RaiseWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## Cocoa_RestoreWindow()

void Cocoa_RestoreWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## Cocoa_SetWindowBordered()

void Cocoa_SetWindowBordered | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_bool | bordered
| ) |  |

## Cocoa_SetWindowFullscreen()

void Cocoa_SetWindowFullscreen | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_VideoDisplay * | display,
|  | SDL_bool | fullscreen
| ) |  |

## Cocoa_SetWindowGammaRamp()

int Cocoa_SetWindowGammaRamp | ( | _THIS | ,
|  | SDL_Window * | window,
|  | const Uint16 * | ramp
| ) |  |

## Cocoa_SetWindowGrab()

void Cocoa_SetWindowGrab | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_bool | grabbed
| ) |  |

## Cocoa_SetWindowHitTest()

int Cocoa_SetWindowHitTest | ( | SDL_Window * | window,
|  | SDL_bool | enabled
| ) |  |

## Cocoa_SetWindowIcon()

void Cocoa_SetWindowIcon | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_Surface * | icon
| ) |  |

## Cocoa_SetWindowMaximumSize()

void Cocoa_SetWindowMaximumSize | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## Cocoa_SetWindowMinimumSize()

void Cocoa_SetWindowMinimumSize | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## Cocoa_SetWindowOpacity()

int Cocoa_SetWindowOpacity | ( | _THIS | ,
|  | SDL_Window * | window,
|  | float | opacity
| ) |  |

## Cocoa_SetWindowPosition()

void Cocoa_SetWindowPosition | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## Cocoa_SetWindowResizable()

void Cocoa_SetWindowResizable | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_bool | resizable
| ) |  |

## Cocoa_SetWindowSize()

void Cocoa_SetWindowSize | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## Cocoa_SetWindowTitle()

void Cocoa_SetWindowTitle | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## Cocoa_ShowWindow()

void Cocoa_ShowWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |